Bug 90338 - Drawing saves to pptx as grey square
Summary: Drawing saves to pptx as grey square
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-30 06:40 UTC by Matthew Francis
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (127.14 KB, image/png)
2015-03-30 07:04 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2015-03-30 06:40:29 UTC
Split from bug 84254

attachment 106751 [details] could previously be saved as pptx, if imperfectly. Since the below commit, it has regressed to displaying as a grey square on reload

In the 4.5 dbgutil bibisect repo:
  2015-02-07: source-hash-3159f59e2c620de14d9570b69a802554a3968af8


Which is most likely this commit:

commit b1751e6ed0fd6d6d26141e4405df92520e3c04cd
Author: Andras Timar <andras.timar@collabora.com>
Date:   Thu Feb 5 22:36:24 2015 +0100

    bnc#637947 improve DrawingML export of custom shapes
Comment 1 Matthew Francis 2015-03-30 06:41:03 UTC
Setting to NEW, as already confirmed on bug 84254
Comment 2 Matthew Francis 2015-03-30 06:41:59 UTC
Adding Cc: to timar74@gmail.com - split from bug 84254 as discussed
Comment 3 Andras Timar 2015-03-30 07:04:25 UTC
Created attachment 114453 [details]
screenshot

It's not a plain rectangle. See the screenshot. It has structure, and I think if we tried to close paths, and fix some scaling issues, we'd get the correct shape. 

The regression is related to my patch. 
Originally the WritePolyPolygon( EscherPropertyContainer::GetPolyPolygon( xShape ) ); call gave better (but still not correct) result.
Comment 4 Commit Notification 2015-05-27 07:19:49 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=481c185e327cb83ffcb29657d5a354eae2c4a5f3

tdf#90338 tdf#84254 DrawingML export fix

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-05-27 14:05:39 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a4eeac14b618714bb8be9755f508ee63ac4a422

tdf#90338 related: ignore empty shape handles struct

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-05-28 07:09:18 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fa10fa7ea7026de7d998776201747afda0ca6b2&h=libreoffice-5-0

tdf#90338 tdf#84254 DrawingML export fix

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-28 07:09:26 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ad8490e1154d5667249d56a63c9c00111cafa4d&h=libreoffice-5-0

tdf#90338 related: ignore empty shape handles struct

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:50:31 UTC Comment hidden (obsolete)